package com.fs.delivery.mapper;

import java.util.List;
import com.fs.delivery.domain.CtShortVideo;

/**
 * 长视频Mapper接口
 * 
 * @author fs
 * @date 2026-01-22
 */
public interface CtShortVideoMapper 
{
    /**
     * 查询长视频
     * 
     * @param id 长视频主键
     * @return 长视频
     */
    public CtShortVideo selectCtShortVideoById(Long id);

    /**
     * 查询长视频列表
     * 
     * @param ctShortVideo 长视频
     * @return 长视频集合
     */
    public List<CtShortVideo> selectCtShortVideoList(CtShortVideo ctShortVideo);

    /**
     * 新增长视频
     * 
     * @param ctShortVideo 长视频
     * @return 结果
     */
    public int insertCtShortVideo(CtShortVideo ctShortVideo);

    /**
     * 修改长视频
     * 
     * @param ctShortVideo 长视频
     * @return 结果
     */
    public int updateCtShortVideo(CtShortVideo ctShortVideo);

    /**
     * 删除长视频
     * 
     * @param id 长视频主键
     * @return 结果
     */
    public int deleteCtShortVideoById(Long id);

    /**
     * 批量删除长视频
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCtShortVideoByIds(Long[] ids);
}
